//外汇日历表

import {get,post} from './http'

/**
 * 获取基础指标详情
 * @param {Object} params 
 * @param {*} params.edb_info_id 指标id
 * @param {*} params.date_type 默认10
 * @param {*} params.start_date 默认空
 * @param {*} params.end_date 默认空
 * @param {*} params.start_year 默认空
 * @returns 
 */
export const apiGetbaseEdbInfo=params=>{
    return get('/edb_info/data',{...params,...{date_type:10,start_date:'',end_date:'',start_year:''}})
}

/**
 * 获取预测指标详情
 * @param {Object} params 
 * @param {*} params.edb_info_id 指标id
 * @param {*} params.date_type 默认10
 * @param {*} params.start_date 默认空
 * @param {*} params.end_date 默认空
 * @param {*} params.start_year 默认5
 * @param {*} params.chart_type 默认1
 * @param {*} params.calendar 默认公历
 * @returns 
 */
export const apiGetpredictEdbInfo=params=>{
    return get('/predict_edb_info/data',{...params,...{date_type:10,start_date:'',end_date:'',start_year:5,chart_type:1,calendar:'公历'}})
}

/**
     * 获取日期范围内事项列表
     * @param {Object} params 
     * @param {Number} params.chart_permission_id 品种ID
     * @param {String} params.start_date 起始时间
     * @param {String} params.end_date 终止时间
     * @returns [{
     *      Date:"2024-03-28",//事项日期
     *      Matters:[],//事项详情
     * }]
     */
export const apiGetCalendarEventList = (params)=>{
    return get('/fe_calendar/matter/list',params)
}

/**
 * 获取品种列表
 * @param {*} params 
 * @returns 
 */
export const apiGetPermissionList = (params)=>{
    return get('/fe_calendar/permission/list',params)
}

/**
 * 获取品种最新日历月份
 * @param {Object} params 
 * @param {Number} params.chart_permission_id 品种ID
 * @returns 
 */
export const apiGetPermissionNewestDate = (params)=>{
    return get('/fe_calendar/permission/latest_month',params)
}

/**
     * 获取指定日期事项列表
     * @param {Object} params 
     * @param {Number} params.chart_permission_id 品种ID
     * @param {String} params.matter_date "2024-03-29" 指定日期
     * @returns
     */
export const apiGetDailyEventList = (params)=>{
    return get('/fe_calendar/matter/detail',params)
}